package com.moyoung.moyoung_ble_plugin.blescan.model;

import com.crrepa.ble.scan.bean.CRPScanDevice;

public class BleScanEvent {
    String address;
    String name;
    byte[] mScanRecord;
    int mRssi;

    public BleScanEvent(String address, String name, byte[] mScanRecord, int mRssi) {
        this.address = address;
        this.name = name;
        this.mScanRecord = mScanRecord;
        this.mRssi = mRssi;
    }

    public static BleScanEvent covert(CRPScanDevice device) {
        return new BleScanEvent(
                device.getDevice().getAddress(),
                device.getDevice().getName(),
                device.getScanRecord(),
                device.getRssi());
    }
}
