package com.moyoung.moyoung_ble_plugin.conn.model;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

import com.crrepa.ble.conn.bean.CRPWatchFaceLayoutInfo;

public class CRPWatchFaceBgBean {
    private static final int DEFAULT_TIMEOUT = 30;
    private byte[] bitmap;
    private byte[] thumBitmap;
    private CRPWatchFaceLayoutInfo.CompressionType type;
    private int timeout = 30;

    public static int getDefaultTimeout() {
        return DEFAULT_TIMEOUT;
    }

    public Bitmap getBitmap() {
        if (bitmap.length != 0) {
            return BitmapFactory.decodeByteArray(bitmap, 0, bitmap.length);
        } else {
            return null;
        }
    }

    public void setBitmap(byte[] bitmap) {
        this.bitmap = bitmap;
    }

    public Bitmap getThumBitmap() {
        if (thumBitmap.length != 0) {
            return BitmapFactory.decodeByteArray(thumBitmap, 0, thumBitmap.length);
        } else {
            return null;
        }
    }

    public void setThumBitmap(byte[] thumBitmap) {
        this.thumBitmap = thumBitmap;
    }

    public CRPWatchFaceLayoutInfo.CompressionType getType() {
        return type;
    }

    public void setType(CRPWatchFaceLayoutInfo.CompressionType type) {
        this.type = type;
    }

    public int getTimeout() {
        return timeout;
    }

    public void setTimeout(int timeout) {
        this.timeout = timeout;
    }
}
