package com.moyoung.moyoung_ble_plugin.conn;

import com.crrepa.ble.conn.CRPBleConnection;
import com.crrepa.ble.conn.bean.CRPTempInfo;
import com.crrepa.ble.conn.listener.CRPContactListener;
import com.crrepa.ble.conn.listener.CRPTempChangeListener;
import com.moyoung.moyoung_ble_plugin.base.BaseConnEveChlHandler;
import com.moyoung.moyoung_ble_plugin.common.GsonUtils;

import java.util.HashMap;
import java.util.Map;

public class ConnContactHandler extends BaseConnEveChlHandler {
    private final static String TAG = ConnTempChangeHandler.class.getSimpleName();
    Map<String, Object> mapStr = new HashMap<>();

    @Override
    public void setConnListener(CRPBleConnection connection) {
        connection.setContactListener(new CRPContactListener() {
            @Override
            public void onSavedSuccess(int SavedSuccess) {
                mapStr.put("isSave", true);
                mapStr.put("savedSuccess", SavedSuccess);
                activity.runOnUiThread(() -> eventSink.success(mapStr));
            }

            @Override
            public void onSavedFail(int savedFail) {
                mapStr.put("isSave", false);
                mapStr.put("savedFail", savedFail);
                activity.runOnUiThread(() -> eventSink.success(mapStr));
            }
        });
    }
}
